Skip to main content
GET
/
commerce
/
customer
/
b2baccounts
/
{accountId}
/
roles
/
{roleId}
/
users
Error
A valid request URL is required to generate request examples
[
  {
    "acceptsMarketing": true,
    "emailAddress": "<string>",
    "firstName": "<string>",
    "hasExternalPassword": true,
    "isActive": true,
    "isLocked": true,
    "isRemoved": true,
    "last2FaDate": "2023-11-07T05:31:56Z",
    "lastName": "<string>",
    "localeCode": "<string>",
    "roles": [
      {
        "assignedInScope": {
          "id": 123,
          "name": "<string>",
          "type": "<string>"
        },
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "roleId": 123,
        "roleName": "<string>",
        "roleResources": [
          {
            "id": "<string>",
            "type": "<string>"
          }
        ],
        "roleTags": [
          "<string>"
        ],
        "userId": "<string>"
      }
    ],
    "userId": "<string>",
    "userName": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

accountId
integer<int32>
required

The B2B account identifier

roleId
integer<int32>
required

The role identifier

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

acceptsMarketing
boolean

If true, the customer prefers to receive marketing material such as newsletters or email offers.

emailAddress
string | null
firstName
string | null
hasExternalPassword
boolean

Indicates if an external password is set on this account

isActive
boolean
isLocked
boolean
isRemoved
boolean
last2FaDate
string<date-time> | null
lastName
string | null
localeCode
string | null
roles
object[] | null
userId
string | null

Unique identifier of the user who is currently logged in. This is null if the user is anonymous (not logged in). Unicode data with a maximum length of 55 characters.

userName
string | null